#include <bits/stdc++.h>
//#pragma GCC optimize
using namespace std;
typedef long long ll;
typedef unsigned long long ull;

const int MAX_N = 5001;
vector<int> g[MAX_N];
vector<int> ind[MAX_N];
bool mina[MAX_N][MAX_N];
int col[MAX_N], tme[MAX_N], cnt;
bool bad[MAX_N];
vector<pair<int, int> > st;

void pop_till(int k) {
    int i = st.size() - 1;
    while(i > 0 && st[i + 1].first != k) {
        bad[st[i].second] = true;
//        cout << st[i].first << " ";
        i --;
    }
}

void dfs(int curr) {
    col[curr] = 1;
//    cout << "Vlizame " << curr << endl;
    for(int i = 0; i < g[curr].size(); i ++) {
        int next = g[curr][i];
        if(!mina[curr][next]) {continue;}
        mina[curr][next] = mina[next][curr] = false;
        st.push_back({curr, ind[curr][i]});
        if(col[next] == 1) {
            pop_till(next);
        }
        dfs(next);
    }
    st.pop_back();
    col[curr] = 2;
}

int main() {
    //ios_base::sync_with_stdio(false); cin.tie(NULL);
    int n, m;
    cin >> n >> m;
    for(int i = 0; i < m; i ++) {
        int a, b;
        cin >> a >> b;
        g[a].push_back(b);
        g[b].push_back(a);
        ind[a].push_back(i);
        ind[b].push_back(i);
        mina[a][b] = mina[b][a] = true;
    }
    for(int i = 1; i <= n; i ++) {
        if(col[i] != 2) {
            st.push_back({-1, -1});
            dfs(i);
        }
    }
    int ans = m;
    for(int i = 0; i < m; i ++) {
        ans -= bad[i];
    }
    cout << ans;
    return 0;
}
/*
7 8
5 1
1 2
2 6
3 4
4 7
6 7
2 5
3 6
*/
