#include <iostream>
using namespace std;
string rev(string a) {
    for (int i=0;i<a.size()/2;i++) swap(a[i],a[a.size()-i-1]);
    return a;
}
string mul(string a, string b) {
    string res;
    unsigned long long r, c;
    for (int i=0;i<2*(a.size()+b.size());i++) res+='0';
    int j;
    for (int i=0;i<a.size();i++) {
        c=0;
        for (j=0;j<b.size();j++) {
            r=(res[i+j]-'0')+c+(a[i]-'0')*(b[j]-'0');
            c=r/10;
            res[i+j]=(r%10+'0');
        }
        while (c>0) {
            r=(res[i+j]-'0')+c;
            c=r/10;
            res[i+j]=(r%10+'0');
            j++;
        }
    }
    return res;
}
unsigned long long ost(string a, string b, unsigned long long m) {
    string c=rev(mul(a,b));
    unsigned long long s=0;
    for (int i=0;i<c.size();i++) {
        s=s*10+(c[i]-'0');
        s=s%m;
    }
    return s;
}
int main () {
    ios::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);
    string a, n;
    unsigned long long m;
    cin >> a >> n >> m;
    a=rev(a); n=rev(n);
    cout << ost(a,n,m) << endl;
}
/**
6337048557396101224 3854515125207705014 2383638532127472916
**/
