#include <iostream>
using namespace std;
string dp[35][35];
string rev(string a) {
    string ans;
    bool p=true;
    for (int i=a.size()-1;i>=0;i--) {
        if (p && a[i]=='0') continue;
        p=false;
        ans+=a[i];
    }
    return ans;
}
string add(string a, string b) {
    string res;
    int r, c, r1, r2;
    c=0;
    for (int i=0;i<max(a.size(),b.size());i++) {
        if (i>=a.size()) r1=0;
        else r1=a[i]-'0';
        if (i>=b.size()) r2=0;
        else r2=b[i]-'0';
        r=r1+r2+c;
        c=r/10;
        res+=(r%10+'0');
    }
    while (c>0) {
        res+=(c%10+'0');
        c=c/10;
    }
    return res;
}
string mul(string a, string b) {
    string res;
    unsigned long long r, c;
    for (int i=0;i<2*(a.size()+b.size());i++) res+='0';
    int j;
    for (int i=0;i<a.size();i++) {
        c=0;
        for (j=0;j<b.size();j++) {
            r=(res[i+j]-'0')+c+(a[i]-'0')*(b[j]-'0');
            c=r/10;
            res[i+j]=(r%10+'0');
        }
        while (c>0) {
            r=(res[i+j]-'0')+c;
            c=r/10;
            res[i+j]=(r%10+'0');
            j++;
        }
    }
    return res;
}
int main () {
    int n, a, b;
    cin >> n >> a >> b;
    for (int i=0;i<=n;i++) {
        for (int j=0;j<=n;j++) {
            dp[i][j]="0";
        }
    }
    dp[0][0]="1";
    for (int i=1;i<=n;i++) {
        for (int j=0;j<=n;j++) {
            if (j==0) dp[i][j]="1";
            else dp[i][j]=add(dp[i-1][j],dp[i-1][j-1]);
        }
    }
    string ans;
    for (int i=2;i<=b;i++) {
        if (n-i>=3 && n-i<=a) ans=add(ans,mul(dp[b][i],dp[a][n-i]));
    }
    cout << rev(ans) << endl;
    return 0;
}
