#include <iostream>

uint64_t run(uint64_t a, uint64_t b, uint64_t m)
{
    if(b == 1)
    {
        return a % m;
    }
    uint64_t ans = run(a, b / 2, m);
    ans = (ans * 2) % m;
    if(b % 2 == 1)
    {
        ans = (ans + a) % m;
    }
    return ans;
}

int main()
{

    uint64_t a, b, m;

    std::cin >> a >> b >> m;

    std::cout << run(a, b, m) << '\n';

    return 0;
}
/*
6337048557396101224
3854515125207705014
2383638532127472961
*/
