#include <iostream>
#include <vector>

uint64_t fact[18];

struct Long{
    std::vector<int> digs;

    void print()
    {
        for(int i = digs.size() - 1; i >= 0; -- i)
        {
            std::cout << digs[i];
        }
        std::cout << '\n';
    }

    void operator +=(uint64_t other)
    {
        int i = 0;
        while(other)
        {
            if(i >= digs.size())
            {
                digs.push_back(other % 10);
                other /= 10;
            }else
            {
                digs[i] += other % 10;
                other /= 10;
                other += digs[i] / 10;
                digs[i] %= 10;
            }
            ++ i;
        }
    }
};

Long ans;

int main()
{
    uint64_t a, b, n, currans;
    std::cin >> n >> a >> b;

    fact[0] = 1;
    for(int i = 1; i < 18; ++ i)
    {
        fact[i] = fact[i - 1] * i;
    }

    for(int i = std::min(a, n - 2); i >= 3 && n - i <= b; -- i)
    {
        currans = 1;
        uint64_t currb = i;
        uint64_t currg = n - i;

        currb = std::max(currb, a - currb);
        currg = std::max(currg, b - currg);

        //std::cout << currb << ' ' << currg << '\n';

        for(uint64_t j = currb + 1; j <= a; ++ j)
        {
            currans *= j;
        }
        currans /= fact[a - currb];
        for(uint64_t j = currg + 1; j <= b; ++ j)
        {
            currans *= j;
        }
        currans /= fact[b - currg];
        ans += currans;
    }

    ans.print();

    return 0;
}
