#include <iostream>
#include <vector>

uint64_t fact[18];

struct Long{
    std::vector<int> digs;

    Long()
    {
        digs.resize(0);
    }

    void print()
    {
        for(int i = digs.size() - 1; i >= 0; -- i)
        {
            std::cout << digs[i];
        }
        std::cout << '\n';
    }

    void operator +=(uint64_t other)
    {
        int i = 0;
        while(other)
        {
            if(i >= digs.size())
            {
                digs.push_back(other % 10);
                other /= 10;
            }else
            {
                digs[i] += other % 10;
                other /= 10;
                other += digs[i] / 10;
                digs[i] %= 10;
            }
            ++ i;
        }
    }
    Long operator+(Long other)
    {
        Long ans;
        ans.digs.resize(std::max(digs.size(), other.digs.size()));
        bool carry = 0;
        for(int i = 0; i < ans.digs.size(); ++ i)
        {
            ans.digs[i] = i < digs.size() ? digs[i] : 0;
            ans.digs[i] += i < other.digs.size() ? other.digs[i] : 0;
            ans.digs[i] += carry;
            carry = ans.digs[i] / 10;
        }
        if(carry)
        {
            ans.digs.push_back(1);
        }
        return ans;
    }
};

Long ans;

Long f(int a, int b)
{
    Long anss;
    if(b == 1)
    {
        anss += a;
        return anss;
    }
    anss = f(a, b / 2);
    anss = anss + anss;
    if(b % 2)
    {
        anss += a;
    }
    return anss;
}

int main()
{
    int64_t a, b, n, currans;
    std::cin >> n >> a >> b;

    fact[0] = 1;
    for(uint64_t i = 1; i < 18; ++ i)
    {
        fact[i] = fact[i - 1] * i;
    }

    for(int i = std::min(a, n - 2); i >= 3 && n - i <= b; -- i)
    {
        currans = 1;
        uint64_t currb = i;
        uint64_t currg = n - i;

        currb = std::max(currb, a - currb);
        currg = std::max(currg, b - currg);

        //std::cout << currb << ' ' << currg << '\n';

        for(uint64_t j = currb + 1; j <= a; ++ j)
        {
            currans *= j;
        }
        currans /= fact[a - currb];
        uint64_t currrans = 1;
        for(uint64_t j = currg + 1; j <= b; ++ j)
        {
            currrans *= j;
        }
        currrans /= fact[b - currg];
        //std::cout << currans << '\n';
        ans = ans + f(currans, currrans);
    }

    ans.print();

    return 0;
}
