#include<bits/stdc++.h>
using namespace std;

const int BITS=200;

bitset<BITS> add(bitset<BITS> a, bitset<BITS> b){
    bitset<BITS> c;
    int carry=0;
    for(int i=0;i<BITS;i++){
        c[i]=(carry+a[i]+b[i])%2;
        carry=a[i]+b[i]+carry>1;
    }
    return c;
}

bitset<BITS> mul(bitset<BITS> a, bitset<BITS> b){
    bitset<BITS> c;
    for(int i=0;i<BITS;i++){
        bitset<BITS> newAdd=(b[i]==0)?0:a<<i;
        c=add(c, newAdd);
    }
    return c;
}

bitset<BITS> sub(bitset<BITS> a, bitset<BITS> b){
    bitset<200> one(1);
    return add(a, add(~b, one));
}

bool ge(bitset<BITS> a, bitset<BITS> b){
    for(int i=BITS-1;i>=0;i--){
        if(a[i]==1&&b[i]==0)return true;
        if(b[i]==1&&a[i]==0)return false;
    }
    return a[0]==b[0];
}

bitset<BITS> mod(bitset<BITS> a, bitset<BITS> b){
    while(ge(a, b)){
        a=sub(a, b);
    }
    return a;
}

long long out(bitset<BITS> a){
    long long ans=0;
    for(int i=0;i<BITS;i++){
        ans+=a[i]<<i;
    }
    return ans;
}

int main(){
    //cout<<2<<' '<<-2<<' '<<~2+1<<endl;
    long long A, B, M;
    cin>>A>>B>>M;
    bitset<BITS> a(A), b(B), m(M);
    cout<<out(mod(mul(a, b), m));

}

