#include<iostream>
#define endl '\n'
#define MAXN 105
using namespace std;
const int MOD=1e9+7;
int m,n;
long long dp[MAXN][MAXN];
bool nz[MAXN][MAXN];
pair<int,int> next_free(int x, int y, bool table[][MAXN]){
    //cout<<"aaaaa"<<endl;
    for(int i=x;i<m;++i){
        for(int i2=0;i2<n;++i2){
            if(i==x and i2<y+1) continue;
            if(!table[i][i2]){
                return {i,i2};
            }
        }
    }
    return {-1,-1};
}
bool check_hor(int x, int y, bool table[][MAXN]){
    if(y+1<n and !table[x][y+1]){
        return true;
    }
    return false;
}
bool check_vert(int x, int y, bool table[][MAXN]){
    if(x+1<m and !table[x+1][y]){
        return true;
    }
    return false;
}
bool is_full(bool table[][MAXN]){
    for(int i=0;i<m;++i){
        for(int i2=0;i2<n;++i2){
            if(!table[i][i2]){
                return false;
            }
        }
    }
    return true;
}
long long sol(int x, int y, bool table[][MAXN]){
    if(is_full(table)) return 1;
    if(x<0 or x>=m or y<0 or y>=n) return dp[x][y]=0;
    if(dp[x][y]!=-1) return dp[x][y];
    bool j=false;
    dp[x][y]=0;
    if(check_vert(x,y,table)){
        j=true;
        table[x][y]=true;
        table[x+1][y]=true;
        pair<int,int> next=next_free(x,y,table);
        //cout<<"vert: "<<x<<" "<<y<<" "<<next.first<<" "<<next.second<<endl;
        dp[x][y]=(dp[x][y]+(sol(next.first,next.second,table)%MOD))%MOD;
        table[x][y]=false;
        table[x+1][y]=false;
    }
    if(check_hor(x,y,table)){
        j=true;
        table[x][y]=true;
        table[x][y+1]=true;
        pair<int,int> next=next_free(x,y,table);
        //cout<<"hor: "<<x<<" "<<y<<" "<<next.first<<" "<<next.second<<endl;
        dp[x][y]=(dp[x][y]+(sol(next.first,next.second,table)%MOD))%MOD;
        table[x][y]=false;
        table[x][y+1]=false;
    }
    if(!j) return dp[x][y]=0;
    return dp[x][y]%MOD;
}
int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    for(int i=0;i<MAXN;++i){
        for(int i2=0;i2<MAXN;++i2){
            dp[i][i2]=-1;
        }
    }
    cin>>m>>n;
    cout<<sol(0,0,nz)<<endl;
return 0;
}
