#include<iostream>
#include<vector>
#include<utility>
#define endl '\n'
#define MAXN 5005
using namespace std;
vector<int> graph[MAXN];
bool is_cycle[MAXN][MAXN],visited[MAXN],visited2[MAXN],visited3[MAXN];
int n,m,parent[MAXN];
void init_cycle(int dest){
    int curr=dest;
    do{
        visited[curr]=true;
        is_cycle[curr][parent[curr]]=true;
        is_cycle[parent[curr]][curr]=true;
        curr=parent[curr];
    } while(curr!=dest);
}
void dfs(int x, int p){
    for(int i=0;i<graph[x].size();++i){
        int next=graph[x][i];
        if(!visited2[next]){
            parent[next]=x;
            visited2[next]=true;
            visited3[next]=true;
            dfs(next,x);
        }else if(visited2[next] and !visited[next] and parent[x]!=next){
            parent[next]=x;
            //cout<<next<<endl;
            init_cycle(next);
        }
    }
}
int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    cin>>n>>m;
    for(int i=0;i<m;++i){
        int from,to;
        cin>>from>>to;
        graph[from].push_back(to);
        graph[to].push_back(from);
    }
    for(int i=1;i<=n;++i){
        if(!visited3[i]){
            for(int i2=1;i2<=n;++i2){
                visited2[i2]=false;
            }
            visited2[i]=true;
            visited3[i]=true;
            dfs(i,i);
            visited[i]=true;
        }
    }
    int res=0;
    for(int i=1;i<=n;++i){
        for(int i2=0;i2<graph[i].size();++i2){
            if(!is_cycle[i][graph[i][i2]]){
                is_cycle[graph[i][i2]][i]=true;
                ++res;
            }
        }
    }
    cout<<res<<endl;
return 0;
}
/**
7 8
5 1
1 2
2 6
3 4
4 7
6 7
2 5
3 6
*/
