#include <iostream>

typedef unsigned long long ull;

ull choice(int n, int k)
{
    long double res = 1;

    double j = k;
    for(int i = n; j > 0; i--, j--)
        res *= i / j;

    return (ull) res;
}

int main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);
    std::cout.tie(nullptr);

    int n, a, b;
    std::cin >> n >> a >> b;

    ull ans = 0;
    for(int i = 3; i <= n-2; i++)
    {
        int j = n - i;
        ull ci = choice(a, i), cb = choice(b, j);

        if(ci && cb)
            ans += choice(a, i) * choice(b, j);
    }

    std::cout << ans << "\n";
    return 0;
}
