#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
typedef unsigned long long ull;

typedef vector<int> bn;

bn add(bn a, bn b) {
    bn ans;
    int carry = 0;
    for(int i = 0; i < max(a.size(), b.size()) || carry; i ++) {
        if(i < a.size()) {carry += a[i];}
        if(i < b.size()) {carry += b[i];}
        ans.push_back(carry % 10);
        carry /= 10;
    }
    while(!ans.empty() && ans.back() == 0) {
        ans.pop_back();
    }
    return ans;
}

bn mult(bn a, bn b) {
    bn ans(a.size() + b.size(), 0);
    for(int i = 0; i < a.size(); i ++) {
        int carry = 0;
        for(int j = 0; j < b.size() || carry > 0; j ++) {
            if(j < b.size()) {ans[i + j] += a[i] * b[j];}
            ans[i + j] += carry;
            carry = ans[i + j] / 10;
            ans[i + j] %= 10;
        }
    }
    while(!ans.empty() && ans[ans.size() - 1] == 0) {
        ans.pop_back();
    }
    return ans;
}

const int MAX_N = 70;
bn bin[MAX_N][MAX_N];

int main() {
    //ios_base::sync_with_stdio(false); cin.tie(NULL);
    ull n, a, b;
    cin >> n >> a >> b;
    bin[0][0] = {1};
    for(int i = 1; i < MAX_N; i ++) {
        bin[i][0] = {1};
        for(int j = 1; j < MAX_N; j ++) {
            bin[i][j] = add(bin[i - 1][j - 1], bin[i - 1][j]);
        }
    }
    bn ans = {0};
    for(int i = 3; i <= n - 2; i ++) {
        ans = add(ans, mult(bin[a][i], bin[b][n - i]));
    }
    for(int i = ans.size() - 1; i >= 0; i --) {
        cout << ans[i];
    }
    return 0;
}

