#include<iostream>
#include<vector>
using namespace std;
unsigned long long l, n, m;

struct Long
{
    vector<int> cifr;

    bool operator < (Long A) const
    {
        if(A.cifr.size() < cifr.size()){
            return false;
        }
        if(A.cifr.size() > cifr.size()){
            return true;
        }
        for(int i = cifr.size()-1; i >= 0; i--){
            if(cifr[i] > A.cifr[i]){
                return false;
            }
            if(cifr[i] < A.cifr[i]){
                return true;
            }
        }
        return false;
    }
    bool operator != (Long A) const
    {
        if(A.cifr.size() != cifr.size()){
            return true;
        }
        for(int i = cifr.size()-1; i >= 0; i--){
            if(cifr[i] != A.cifr[i]){
                return true;
            }
        }
        return false;
    }
};

Long a, b, mod;

Long rev(Long a)
{
    Long res;
    for(int i = a.cifr.size() - 1; i >= 0; i--){
        res.cifr.push_back(a.cifr[i]);
    }
    return res;
}

Long suma(Long a, Long b)
{
    Long sum;
    int pre = 0;
    if(a < b){
        swap(a, b);
    }
    for(int i = 0; i < a.cifr.size(); i++){
        int nex = pre;
        pre = 0;
        if(i < b.cifr.size()){
            nex += b.cifr[i];
        }
        nex += a.cifr[i];
        if(nex > 9){
            nex -= 10;
            pre++;
        }
        sum.cifr.push_back(nex);
    }
    if(pre){
        sum.cifr.push_back(1);
    }
    return sum;
}

Long razl(Long a, Long b)
{
    Long sum;
    int pre = 0;
    if(a < b){
        swap(a, b);
    }
    for(int i = 0; i < a.cifr.size(); i++){
        int nex = pre;
        pre = 0;
        if(i < b.cifr.size()){
            nex -= b.cifr[i];
        }
        nex += a.cifr[i];
        if(nex < 0){
            nex += 10;
            pre--;
        }
        if(i < a.cifr.size() - 1 || nex > 0){
            sum.cifr.push_back(nex);
        }
    }
    for(int i  = sum.cifr.size() - 1; i >= 0; i--){
        if(sum.cifr[i] == 0){
            sum.cifr.pop_back();
        }else{
            break;
        }
    }
    return sum;
}

Long mult(Long a, Long b)
{
    Long res;
    int pre = 0;
    if(b < a){
        swap(a, b);
    }
    for(int i = 0; i < a.cifr.size(); i++){
        int curr = a.cifr[i];
        Long sub;
        for(int h = 0; h < i; h++){
            sub.cifr.push_back(0);
        }
        pre = 0;
        for(int j = 0; j < b.cifr.size(); j++){
            int nex = pre;
            pre = 0;
            nex += curr * b.cifr[j];
            while(nex > 9){
                nex -= 10;
                pre++;
            }
            sub.cifr.push_back(nex);
        }
        if(pre){
            sub.cifr.push_back(pre);
        }
        res = suma(res, sub);
    }
    return res;
}

Long deln(Long a, Long b)
{
    Long curr;
    Long l, r;
    l.cifr.push_back(0);
    r = a;
    Long on;
    on.cifr.push_back(1);
    while(on < razl(r, l) ){
        Long curr;
        Long mid = suma(r, l);
        mid = suma(mid, on);

        int pre = 0, nex;
        for(int i = mid.cifr.size() - 1; i >= 0; i--){
            nex = pre;
            pre = 0;
            nex += mid.cifr[i];
            //cout << mid.cifr[i] << endl;
            if(nex%2 == 1){
                pre = 10;
                nex -= 1;
            }
            nex /= 2;
            if(i > 0 || nex != 0){
                curr.cifr.push_back(nex);
            }
            //cout << nex << endl;
        }
        //cout << endl;
        mid = rev(curr);
        //for(int i = curr.cifr.size() - 1; i >= 0; i--){
            //cout << curr.cifr[i];
        ///}
        //cout << endl;
        curr = mult(mid, b);

        if(a < curr){
            r = razl(mid, on);
            /*for(int i = mid.cifr.size() - 1; i >= 0; i--){
                cout << mid.cifr[i];
            }
        cout << endl;*/
        }else{
            l = mid;
            //cout << "fkvjefjk\n";
        }
        //for(int i = 1; i < 500000000; i++){}
    }
    return l;
}



int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cin >> l >> n >> m;

    //cout << l*n << endl;

    while(l > 0){
        a.cifr.push_back(l%10);
        l /= 10;
    }
    while(n > 0){
        b.cifr.push_back(n%10);
        n /= 10;
    }
    while(m > 0){
        mod.cifr.push_back(m%10);
        m /= 10;
    }
    Long sum = mult(a, b);
    Long ans = sum;

    /*ans = razl(a, b);
    for(int i = ans.cifr.size() - 1; i >= 0; i--){
        cout << ans.cifr[i];
    }
    cout << endl;*/
    sum = deln(sum, mod);

    /*for(int i = sum.cifr.size() - 1; i >= 0; i--){
        cout << sum.cifr[i];
    }
    cout << endl;*/
    sum = mult(sum, mod);

    ans = razl(ans, sum);



    for(int i = ans.cifr.size() - 1; i >= 0; i--){
        cout << ans.cifr[i];
    }
return 0;
}
/*
6337048557396101224
3854515125207705014
2383638532127472961
*/
