#include <iostream>
#include <utility>
#include <cstring>
#include <queue>
#define fi first
#define se second
#define endl '\n'
using namespace std;

int n, m;
int a[5005][5005];
pair<int, int> p[5005];
bool used[5005];

void BFS(int i)
{
    queue<int> q;
    q.push(i);
    used[i] = true;
    while (!q.empty())
    {
        i = q.front();
        q.pop();
        for (int j = 1; j <= n; ++ j)
            if (a[i][j] and !used[j])
            {
                q.push(j);
                used[j] = true;
            }
    }
}

int main()
{
    ios :: sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    cin >> n >> m;

    cout << m - n << endl;

    return 0;
}
