#include <iostream>
#include <utility>
#include <cstring>
#include <ctime>
#include <queue>
#define fi first
#define se second
#define endl '\n'
using namespace std;

int n, m;
int a[5005][5005];
pair<int, int> p[5005];
bool used[5005];

void BFS(int i)
{
    queue<int> q;
    q.push(i);
    used[i] = true;
    while (!q.empty())
    {
        i = q.front();
        q.pop();
        for (int j = 1; j <= n; ++ j)
            if (a[i][j] and !used[j])
            {
                q.push(j);
                used[j] = true;
            }
    }
}

int main()
{
    ios :: sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    cin >> n >> m;

    time_t x = clock();

    for (int i = 0; i < m; ++ i)
    {
        cin >> p[i].fi >> p[i].se;
        a[p[i].fi][p[i].se] = a[p[i].se][p[i].fi] = 1;
    }

    int c = 0;
    for (int i = 1; i <= n; ++ i)
    {
        if(!used[i])
        {
            BFS(i);
            c++;
        }
    }

    int br;
    int ans = 0;
    for (int i = 0; i < m; ++ i)
    {
        if (clock() - x >= 0.19 * CLOCKS_PER_SEC) break;
        a[p[i].fi][p[i].se] = a[p[i].se][p[i].fi] = 0;
        br = 0;
        memset(used, false, sizeof(used));
        for (int j = 1; j <= n; ++ j)
        {
            if(!used[j])
            {
                BFS(j);
                br++;
            }
        }
        if (br > c) ans++;
        a[p[i].fi][p[i].se] = a[p[i].se][p[i].fi] = 1;
    }

    cout << ans << endl;

    return 0;
}
