#include <iostream>
#include <algorithm>
using namespace std;

int n, A, b;

unsigned long long fact(int a) {
    unsigned long long ans = 1;
    for (int i = 1; i <= a; ++i) {
        ans*=i;
    }
    return ans;
}
unsigned long long comb(int a, int b) {
    if (b>a) {
        return 0;
    }
    int mn[100], div[100], div1[100];
    for (int i = 1; i <= a; ++i) mn[i-1] = i;
    for (int i = 1; i <= b; ++i) div[i-1] = i;
    for (int i = 1; i <= b-a; ++i) div1[i-1] = i;
    for (int i = 0; i < a; ++i) {
        for (int j = 0; j < b; ++j) {
            int v = __gcd(mn[i], div[j]);
            mn[i]/=v;
            div[j]/=v;
        }
        for (int j = 0; j< b-a; ++j) {
            int w = __gcd(mn[i], div1[j]);
            mn[i]/=w;
            div1[j]/=w;
        }
    }
    unsigned long long ans = 1;
    for (int i= 0; i < a; ++i) {
        ans*=mn[i];
    }
    //cout << a << " " << b << " " <<  ans << endl;
    return ans;
}


int main() {
    cin >> n >> A >> b;
    unsigned long long ans = fact(A+b)/fact(n)/fact(A+b-n);
    if (b>=n-2)
        ans -= A*(A-1)/2*fact(b)/fact(n-2)/fact(b-n+2);
    if (b>=n-1)
        ans -= A*fact(b)/fact(n-1)/fact(b-n+1);
    if (b>=n)
        ans-=fact(b)/fact(b-n)/fact(n);
    if (A>=n-1)
        ans -= b*fact(A)/fact(A-n+1)/fact(n-1);
    if (A>=n)
        ans -= fact(A)/fact(n)/fact(A-n);
    if (A+b<18)
        cout << ans;
    else
    cout << comb(A+b,n)-comb(A,2)*comb(b,n-2)-comb(A,1)*comb(b,n-1)-comb(b,n)-comb(A,n-1)*comb(b,1)-comb(A,n);
    return 0;
}
